Skip to content
Download OpenAPI description
Languages
Servers
https://api.kanbert.com/api/v1
Operations
Operations
Operations
Operations
Operations
Webhooks
Operations
Webhooks
Operations
Operations
Webhooks
Operations
Operations
Operations
Operations
Operations
Operations
Operations

Request

Required scopes: incoming-invoice:read

Security
http or oauth2
Query
sortstring

Available sorts are name, customer_number, created_at.
You can sort by multiple options by separating them with a comma. To sort in descending order, use - sign in front of the sort, for example: -title.

Example: sort=sort=-created_at,title
page[size]integer

The number of results that will be returned per page.

Default 30
page[cursor]string

The cursor to start the pagination from.

filterstring

Allowed filter fields (with allowed operators):

FieldTypeOperators
archivedenum: with, only, withouteq
namestringin, nin, notin, eq, ne, neq, contains, like, startswith, endswith, isnull, isnotnull, notnull
customer_numberstringin, nin, notin, eq, ne, neq, contains, like, startswith, endswith, isnull, isnotnull, notnull
vendor_identifierstringin, nin, notin, eq, ne, neq, contains, like, startswith, endswith, isnull, isnotnull, notnull
contact_emailstringin, nin, notin, eq, ne, neq, contains, like, startswith, endswith, isnull, isnotnull, notnull
external_idstringin, nin, notin, eq, ne, neq, contains, like, startswith, endswith, isnull, isnotnull, notnull
category.idid<SupplierCategoryData>eq, ne, neq, in, nin, notin, isnull, isnotnull, notnull
created_atdatetimeeq, ne, neq, lt, lte, le, gt, gte, ge, in, nin, notin, isnull, isnotnull, notnull

Filtering expression. Accepts either JSON (array/tree of conditions) or a readable string DSL.

You can check the full syntax at Docs Filtering section.

Special values:

  • me.id — current authenticated user id (usable on fields of type id). Example: id eq me.id
  • now — current date-time. Example: dueOn lt now
  • sow/eow — start/end of week. Examples: dueOn gt sow, dueOn lt eow
  • som/eom — start/end of month. Examples: dueOn gt som, dueOn lt eom
  • today — special date for today; with eq it expands to the whole day range. Example: dueOn eq today
  • today±Nd — relative day offset. Examples: today-30d, today+5d.
Example: filter=title contains "Acme" and (created_at >= "2024-01-01" or client.name contains "Corp")
curl -i -X GET \
  'https://api.kanbert.com/api/v1/suppliers?sort=sort%3D-created_at%2Ctitle&page%5Bsize%5D=30&page%5Bcursor%5D=string&filter=title+contains+%22Acme%22+and+%28created_at+%3E%3D+%222024-01-01%22+or+client.name+contains+%22Corp%22%29' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

The cursor paginated collection of SupplierFullData

Bodyapplication/json
dataArray of objects(SupplierFullData)required

The list of items

data[].​idstringrequired
data[].​external_idstring or nullrequired
data[].​external_originstring or nullrequired
data[].​namestringrequired
data[].​vendor_identifierstring or nullrequired
data[].​customer_numberstring or nullrequired
data[].​address_namestring or nullrequired
data[].​address_streetstring or nullrequired
data[].​address_street2string or nullrequired
data[].​address_zipstring or nullrequired
data[].​address_townstring or nullrequired
data[].​address_statestring or nullrequired
data[].​notesstring or nullrequired
data[].​contact_namestring or nullrequired
data[].​contact_emailstring or nullrequired
data[].​contact_phonestring or nullrequired
data[].​contact_phone2string or nullrequired
data[].​contact_faxstring or nullrequired
data[].​contact_websitestring or nullrequired
data[].​accounting_ibanstring or nullrequired
data[].​accounting_bic_swiftstring or nullrequired
data[].​accounting_tinstring or nullrequired
data[].​accounting_notesstring or nullrequired
data[].​categorySupplierCategoryData (object) or nullrequired
Any of:
data[].​category.​idstringrequired
data[].​category.​namestringrequired
data[].​created_atstring(date-time)required
data[].​updated_atstring or null(date-time)required
data[].​deleted_atstring or null(date-time)required
linksArray of stringsrequired
metaobjectrequired
meta.​pathstring or nullrequired

Base path for paginator generated URLs.

meta.​per_pageintegerrequired

Number of items shown per page.

meta.​next_cursorstring or nullrequired
meta.​next_cursor_urlstring or nullrequired
meta.​prev_cursorstring or nullrequired
meta.​prev_cursor_urlstring or nullrequired
Response
application/json
{ "data": [ { … } ], "links": [ "string" ], "meta": { "path": "string", "per_page": 0, "next_cursor": "string", "next_cursor_url": "string", "prev_cursor": "string", "prev_cursor_url": "string" } }

Request

Required scopes: incoming-invoice:write

Security
http or oauth2
Bodyapplication/jsonrequired
external_idstring or null<= 255 characters

Can be used to add an identifier from an external system, must be unique within integration

external_originstring<= 255 characters

If not set, integration's slug will be used as default

namestring<= 255 charactersrequired
vendor_identifierstring or null<= 255 characters
customer_numberstring or null<= 255 characters
address_namestring or null<= 255 characters
address_streetstring or null<= 255 characters
address_street2string or null<= 255 characters
address_zipstring or null<= 255 characters
address_townstring or null<= 255 characters
address_statestring or null<= 255 characters
notesstring or null
contact_namestring or null<= 255 characters
contact_emailstring or null(email)<= 255 characters
contact_phonestring or null<= 255 characters
contact_phone2string or null<= 255 characters
contact_faxstring or null<= 255 characters
contact_websitestring or null<= 255 characters
accounting_ibanstring or null<= 255 characters
accounting_bic_swiftstring or null<= 255 characters
accounting_tinstring or null<= 255 characters
accounting_notesstring or null
category_idstring or null
curl -i -X POST \
  https://api.kanbert.com/api/v1/suppliers \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "external_id": "string",
    "external_origin": "string",
    "name": "string",
    "vendor_identifier": "string",
    "customer_number": "string",
    "address_name": "string",
    "address_street": "string",
    "address_street2": "string",
    "address_zip": "string",
    "address_town": "string",
    "address_state": "string",
    "notes": "string",
    "contact_name": "string",
    "contact_email": "user@example.com",
    "contact_phone": "string",
    "contact_phone2": "string",
    "contact_fax": "string",
    "contact_website": "string",
    "accounting_iban": "string",
    "accounting_bic_swift": "string",
    "accounting_tin": "string",
    "accounting_notes": "string",
    "category_id": "string"
  }'

Responses

SupplierFullData

Bodyapplication/json
idstringrequired
external_idstring or nullrequired
external_originstring or nullrequired
namestringrequired
vendor_identifierstring or nullrequired
customer_numberstring or nullrequired
address_namestring or nullrequired
address_streetstring or nullrequired
address_street2string or nullrequired
address_zipstring or nullrequired
address_townstring or nullrequired
address_statestring or nullrequired
notesstring or nullrequired
contact_namestring or nullrequired
contact_emailstring or nullrequired
contact_phonestring or nullrequired
contact_phone2string or nullrequired
contact_faxstring or nullrequired
contact_websitestring or nullrequired
accounting_ibanstring or nullrequired
accounting_bic_swiftstring or nullrequired
accounting_tinstring or nullrequired
accounting_notesstring or nullrequired
categorySupplierCategoryData (object) or nullrequired
Any of:
category.​idstringrequired
category.​namestringrequired
created_atstring(date-time)required
updated_atstring or null(date-time)required
deleted_atstring or null(date-time)required
Response
application/json
{ "id": "string", "external_id": "string", "external_origin": "string", "name": "string", "vendor_identifier": "string", "customer_number": "string", "address_name": "string", "address_street": "string", "address_street2": "string", "address_zip": "string", "address_town": "string", "address_state": "string", "notes": "string", "contact_name": "string", "contact_email": "string", "contact_phone": "string", "contact_phone2": "string", "contact_fax": "string", "contact_website": "string", "accounting_iban": "string", "accounting_bic_swift": "string", "accounting_tin": "string", "accounting_notes": "string", "category": { "id": "string", "name": "string" }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "deleted_at": "2019-08-24T14:15:22Z" }

Request

Required scopes: incoming-invoice:read

Security
http or oauth2
Path
idstringrequired
curl -i -X GET \
  'https://api.kanbert.com/api/v1/suppliers/{id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

SupplierFullData

Bodyapplication/json
idstringrequired
external_idstring or nullrequired
external_originstring or nullrequired
namestringrequired
vendor_identifierstring or nullrequired
customer_numberstring or nullrequired
address_namestring or nullrequired
address_streetstring or nullrequired
address_street2string or nullrequired
address_zipstring or nullrequired
address_townstring or nullrequired
address_statestring or nullrequired
notesstring or nullrequired
contact_namestring or nullrequired
contact_emailstring or nullrequired
contact_phonestring or nullrequired
contact_phone2string or nullrequired
contact_faxstring or nullrequired
contact_websitestring or nullrequired
accounting_ibanstring or nullrequired
accounting_bic_swiftstring or nullrequired
accounting_tinstring or nullrequired
accounting_notesstring or nullrequired
categorySupplierCategoryData (object) or nullrequired
Any of:
category.​idstringrequired
category.​namestringrequired
created_atstring(date-time)required
updated_atstring or null(date-time)required
deleted_atstring or null(date-time)required
Response
application/json
{ "id": "string", "external_id": "string", "external_origin": "string", "name": "string", "vendor_identifier": "string", "customer_number": "string", "address_name": "string", "address_street": "string", "address_street2": "string", "address_zip": "string", "address_town": "string", "address_state": "string", "notes": "string", "contact_name": "string", "contact_email": "string", "contact_phone": "string", "contact_phone2": "string", "contact_fax": "string", "contact_website": "string", "accounting_iban": "string", "accounting_bic_swift": "string", "accounting_tin": "string", "accounting_notes": "string", "category": { "id": "string", "name": "string" }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "deleted_at": "2019-08-24T14:15:22Z" }

Request

Required scopes: incoming-invoice:write

Security
http or oauth2
Path
idstringrequired
Bodyapplication/json
namestring<= 255 characters
vendor_identifierstring or null<= 255 characters
customer_numberstring or null<= 255 characters
address_namestring or null<= 255 characters
address_streetstring or null<= 255 characters
address_street2string or null<= 255 characters
address_zipstring or null<= 255 characters
address_townstring or null<= 255 characters
address_statestring or null<= 255 characters
notesstring or null
contact_namestring or null<= 255 characters
contact_emailstring or null(email)<= 255 characters
contact_phonestring or null<= 255 characters
contact_phone2string or null<= 255 characters
contact_faxstring or null<= 255 characters
contact_websitestring or null<= 255 characters
accounting_ibanstring or null<= 255 characters
accounting_bic_swiftstring or null<= 255 characters
accounting_tinstring or null<= 255 characters
accounting_notesstring or null
category_idstring or null
curl -i -X PATCH \
  'https://api.kanbert.com/api/v1/suppliers/{id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "vendor_identifier": "string",
    "customer_number": "string",
    "address_name": "string",
    "address_street": "string",
    "address_street2": "string",
    "address_zip": "string",
    "address_town": "string",
    "address_state": "string",
    "notes": "string",
    "contact_name": "string",
    "contact_email": "user@example.com",
    "contact_phone": "string",
    "contact_phone2": "string",
    "contact_fax": "string",
    "contact_website": "string",
    "accounting_iban": "string",
    "accounting_bic_swift": "string",
    "accounting_tin": "string",
    "accounting_notes": "string",
    "category_id": "string"
  }'

Responses

SupplierFullData

Bodyapplication/json
idstringrequired
external_idstring or nullrequired
external_originstring or nullrequired
namestringrequired
vendor_identifierstring or nullrequired
customer_numberstring or nullrequired
address_namestring or nullrequired
address_streetstring or nullrequired
address_street2string or nullrequired
address_zipstring or nullrequired
address_townstring or nullrequired
address_statestring or nullrequired
notesstring or nullrequired
contact_namestring or nullrequired
contact_emailstring or nullrequired
contact_phonestring or nullrequired
contact_phone2string or nullrequired
contact_faxstring or nullrequired
contact_websitestring or nullrequired
accounting_ibanstring or nullrequired
accounting_bic_swiftstring or nullrequired
accounting_tinstring or nullrequired
accounting_notesstring or nullrequired
categorySupplierCategoryData (object) or nullrequired
Any of:
category.​idstringrequired
category.​namestringrequired
created_atstring(date-time)required
updated_atstring or null(date-time)required
deleted_atstring or null(date-time)required
Response
application/json
{ "id": "string", "external_id": "string", "external_origin": "string", "name": "string", "vendor_identifier": "string", "customer_number": "string", "address_name": "string", "address_street": "string", "address_street2": "string", "address_zip": "string", "address_town": "string", "address_state": "string", "notes": "string", "contact_name": "string", "contact_email": "string", "contact_phone": "string", "contact_phone2": "string", "contact_fax": "string", "contact_website": "string", "accounting_iban": "string", "accounting_bic_swift": "string", "accounting_tin": "string", "accounting_notes": "string", "category": { "id": "string", "name": "string" }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "deleted_at": "2019-08-24T14:15:22Z" }
Operations
Operations
Operations
Operations
Operations
Schemas